#ifndef _MEMOIRE_H_
#define _MEMOIRE_H_

/*! creer_memoire() crer la zone de mmoire partage
\param semid identifiant du smaphore protgeant l'accs  la mmoire
\param shmid identifiant de la zone mmoire partage
\param memoire poiteur vers le tableau de caractre contenant les derniers messages envoys
\return void
*/
void creer_memoire(int* semid, int* shmid, char** memoire);

/*! saisie_message() demande la saisie d'un message et l'enregistre dans la mmoire partage
\param semid identifiant du smaphore protgeant l'accs  la mmoire
\param tab_discussion tableau de caractre contenant les derniers messages envoys
\param message pointeur vers la chaine de caractres (tableau)  ajouter dans le tableau de discussion
\return void
*/
void inserer_message(int semid, char* tab_discussion, char* message);

/*! detruire_memoire() supprime la zone de mmoire partage
\param semid identifiant du smaphore protgeant l'accs  la mmoire
\param shmid identifiant de la zone mmoire partage
\param memoire poiteur vers le tableau de caractre contenant les derniers messages envoys
\return void
*/
void detruire_memoire(int semid, int shmid, char* memoire);

#endif
